The Arsse does not at this time have any first party clients. However, because The Arsse [supports existing protocols](/en/Supported_Protocols), most clients built for these protocols are compatible with The Arsse. Below are those that we personally know of and have tested with The Arsse.

<table class="clients">
 <thead>
  <tr>
   <th rowspan="2">Name</th>
   <th rowspan="2">OS</th>
   <th colspan="3">Protocol</th>
   <th rowspan="2">Notes</th>
  </tr>
  <tr>
   <th>Nextcloud News</th>
   <th>Tiny Tiny RSS</th>
   <th>Fever</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <th colspan="6">Desktop</th>
  </tr>
  <tr>
   <td><a href="https://jangernert.github.io/FeedReader/">FeedReader</a></td>
   <td>Linux</td>
   <td class="Y">✔</td>
   <td class="Y">✔</td>
   <td class="N">✘</td>
   <td>
    <p>Excellent reader; one of the best on any platform.</p>
    <p>Not compatible with HTTP authentication when using TT-RSS.</p>
   </td>
  </tr>
  <tr>
   <td><a href="https://lzone.de/liferea/">Liferea</a></td>
   <td>Linux</td>
   <td class="N">✘</td>
   <td class="Y">✔</td>
   <td class="N">✘</td>
   <td>
    <p>Not compatible with HTTP authentication.</p>
   </td>
  </tr>
  <tr>
   <td><a href="https://newsboat.org/">Newsboat</a></td>
   <td>Linux, macOS</td>
   <td class="Y">✔</td>
   <td class="Y">✔</td>
   <td class="N">✘</td>
   <td>
    <p>Terminal-based client.</p>
   </td>
  </tr>
  <tr>
   <td><a href="https://apps.apple.com/app/id1449412482">Reeder</a></td>
   <td>macOS</td>
   <td class="N">✘</td>
   <td class="N">✘</td>
   <td class="Y">✔</td>
   <td>
    <p>Also available for iOS.</p>
   </td>
  </tr>
  <tr>
   <td><a href="https://github.com/martinrotter/rssguard/">RSS Guard</a></td>
   <td>Windows, macOS, Linux</td>
   <td class="Y">✔</td>
   <td class="Y">✔</td>
   <td class="N">✘</td>
   <td>
    <p>Very basic client; now discontinued.</p>
   </td>
  </tr>
  </tr>
  <tr>
   <td><a href="https://www.microsoft.com/store/apps/9wzdncrdmbn3">Tiny Tiny RSS Reader</td>
   <td>Windows</td>
   <td class="N">✘</td>
   <td class="Y">✔</td>
   <td class="N">✘</td>
   <td>
    <p>Does not deal well with expired sessions; discontinued.</p>
   </td>
  </tr>
 </tbody>
 <tbody>
  <tr>
   <th colspan="6">Mobile</th>
  </tr>
  <tr>
   <td><a href="https://peterandlinda.com/cloudnews/">CloudNews</a></td>
   <td>iOS</td>
   <td class="Y">✔</td>
   <td class="N">✘</td>
   <td class="N">✘</td>
   <td>
    <p>Very bland looking application, but it functions well.</p>
   </td>
  </tr>
  <tr>
   <td><a href="https://play.google.com/store/apps/details?id=com.seazon.feedme">FeedMe</a></td>
   <td>Android</td>
   <td class="N">✘</td>
   <td class="Y">✔</td>
   <td class="N">✘</td>
   <td>
    <p>Not compatible with HTTP authentication.</p>
   </td>
  </tr>
  <tr>
   <td><a href="http://cocoacake.net/apps/fiery/">Fiery Feeds</a></td>
   <td>iOS</td>
   <td class="N">✘</td>
   <td class="Y">✔</td>
   <td class="Y">✔</td>
   <td>
    <p>Rentalware - For the software to be usable (you can't even add feeds otherwise) a subscription fee must be paid.</p>
    <p>Currently keeps showing items in the unread badge which have already been read.</p>
   </td>
  </tr>
  <tr>
   <td><a href="https://github.com/SimonSchubert/NewsOut">Newsout</a></td>
   <td>Android, iOS</td>
   <td class="Y">✔</td>
   <td class="N">✘</td>
   <td class="N">✘</td>
   <td>
    <p>iOS version only as source code.</p>
   </td>
  </tr>
  <tr>
   <td><a href="https://github.com/nextcloud/news-android/">NextCloud News</a></td>
   <td>Android</td>
   <td class="Y">✔</td>
   <td class="N">✘</td>
   <td class="N">✘</td>
   <td>
    <p>Official Android client for NextCloud News.</p>
   </td>
  </tr>
  <tr>
   <td><a href="https://github.com/schaal/ocreader/">OCReader</a></td>
   <td>Android</td>
   <td class="Y">✔</td>
   <td class="N">✘</td>
   <td class="N">✘</td>
   <td></td>
  </tr>
  <tr>
   <td><a href="https://play.google.com/store/apps/details?id=com.isaiasmatewos.readably">Readably</a></td>
   <td>Android</td>
   <td class="N">✘</td>
   <td class="N">✘</td>
   <td class="Y">✔</td>
   <td>
    <p>Fetches favicons independently.</p>
   </td>
  </tr>
  <tr>
   <td><a href="https://apps.apple.com/app/id1449412357">Reeder</a></td>
   <td>iOS</td>
   <td class="N">✘</td>
   <td class="N">✘</td>
   <td class="Y">✔</td>
   <td>
    <p>Also available for macOS.</p>
   </td>
  </tr>
  <tr>
   <td><a href="http://tt-rss.org/">Tiny Tiny RSS</a></td>
   <td>Android</td>
   <td class="N">✘</td>
   <td class="Y">✔</td>
   <td class="N">✘</td>
   <td>
    <p>Official Android client for Tiny Tiny RSS.</p>
   </td>
  </tr>
  <tr>
   <td><a href="http://github.com/nilsbraden/ttrss-reader-fork/">TTRSS-Reader</a></td>
   <td>Android</td>
   <td class="N">✘</td>
   <td class="Y">✔</td>
   <td class="N">✘</td>
   <td>
    <p></p>
   </td>
  </tr>
  <tr>
   <td><a href="https://apps.apple.com/app/id1252376153">Unread</a></td>
   <td>iOS</td>
   <td class="N">✘</td>
   <td class="N">✘</td>
   <td class="Y">✔</td>
   <td>
    <p>Trialware with one-time purchase.</p>
   </td>
  </tr>
 </tbody>
</table>

## Untested clients

<table class="clients">
 <thead>
  <tr>
   <th rowspan="2">Name</th>
   <th rowspan="2">OS</th>
   <th colspan="3">Protocol</th>
   <th rowspan="2">Notes</th>
  </tr>
  <tr>
   <th>Nextcloud News</th>
   <th>Tiny Tiny RSS</th>
   <th>Fever</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td><a href="https://github.com/jeena/feedthemonkey">FeedTheMonkey</a></td>
   <td>Linux</td>
   <td class="N">✘</td>
   <td class="Y">✔</td>
   <td class="N">✘</td>
   <td>
    <p></p>
   </td>
  </tr>
  <tr>
   <td><a href="https://apps.apple.com/app/id588726889">ReadKit</a></td>
   <td>macOS</td>
   <td class="N">✘</td>
   <td class="N">✘</td>
   <td class="Y">✔</td>
   <td>
    <p>Requires purchase. Presumed to work.</p>
   </td>
  </tr>
  <tr>
   <td><a href="https://github.com/matoung/SparkReader">SparkReader</a></td>
   <td>Windows</td>
   <td class="N">✘</td>
   <td class="N">✘</td>
   <td class="Y">✔</td>
   <td>
    <p>Requires manual configuration.</p>
   </td>
  </tr>
  <tr>
   <td><a href="http://www.pluchon.com/en/tiny_reader_rss.php">tiny Reader RSS</a></td>
   <td>iOS</td>
   <td class="N">✘</td>
   <td class="Y">✔</td>
   <td class="N">✘</td>
   <td>
    <p>Does not support HTTP authentication.</p>
   </td>
  </tr>
 </tbody>
</table>
